`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2021/05/05 15:49:51
// Design Name: 
// Module Name: calculate_state
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module calculate_state(
    input clk,
    input rst,
    input [8:0] last_change,
    output reg [1:0] calculate_state
    );
    reg [1:0] next_state;
    
    always@*
    if(last_change == 9'h79) // +
        next_state = 2'b00;
    else if(last_change == 9'h7B) // -
        next_state = 2'b01;
    else if(last_change == 9'h7C) // *
        next_state = 2'b10;
    else
        next_state = calculate_state;
    
    always@(posedge clk or posedge rst)
    if(rst)
        calculate_state <= 2'b00;
    else
        calculate_state <= next_state;
        
endmodule