`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2021/05/05 13:00:31
// Design Name: 
// Module Name: press_state
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module press_state(
    input clk,
    input rst,
    input key_valid,
    output reg press_state
    );
    reg state_next;
    
    always@(posedge key_valid)
    if(press_state == 1'b0)
        state_next = 1'b1;
    else
        state_next = 1'b0;
        
    always@(posedge clk or posedge rst)
    if(rst)
        press_state <= 1'b0;
    else
        press_state <= state_next;
endmodule
