module scan_ctl(
    output reg [3:0] ssd_ctl,
    output reg [3:0] ssd_in,
    input [1:0] ssd_ctl_en,
    input [3:0] out1,
    input [3:0] out2,
    input [3:0] out3,
    input [3:0] out4
    );

    always@*
    case(ssd_ctl_en)
        2'b00:
        begin
            ssd_ctl = 4'b1110;
            ssd_in = out1;
        end
        2'b01:
        begin
            ssd_ctl = 4'b1101;
            ssd_in = out2;
        end
        2'b10:
        begin
            ssd_ctl = 4'b1011;
            ssd_in = out3;
        end
        2'b11:
        begin
            ssd_ctl = 4'b0111;
            ssd_in = out4;
        end
        default:
        begin
            ssd_ctl=4'b0000;
            ssd_in = out1;
        end
    endcase
    
endmodule
