`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2021/05/06 15:42:27
// Design Name: 
// Module Name: show_input
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module show_input(
    input clk,
    input rst,
    input [8:0] last_change,
    input press,
    output reg show
    );
    reg state_next;
    
    always@(posedge press)
    case(show)
    1'b0:
        if(last_change == 9'h5A)
            state_next = 1'b1;
        else
            state_next = 1'b0;
    1'b1:
        if(last_change == 9'h5A)
            state_next = 1'b0;
        else
            state_next = 1'b1;
    default:
        state_next = show;
    endcase
        
    always@(posedge clk or posedge rst)
    if(rst)
        show <= 1'b0;
    else
        show <= state_next;
endmodule
